unit MountPoint;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TNewPathDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    VolumeLabel: TLabel;
    Label2: TLabel;
    OldPathLabel: TLabel;
    Label3: TLabel;
    NewPathEdit: TEdit;
    Button1: TButton;
    ReplaceCheckBox: TCheckBox;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  NewPathDlg: TNewPathDlg;

implementation

uses BrowseMountPoint;

{$R *.DFM}

procedure TNewPathDlg.Button1Click(Sender: TObject);
var
   BrowsePathDlg : TBrowsePathDlg;
begin
   {
      Show a directory tree with the following codes
      - disk (c:, d: etc or a current mount point)
      - directory with children (folder with cross)
      - empty directory (folder with tick).
   }
   BrowsePathDlg := TBrowsePathDlg.Create(self);
   try
      if BrowsePathDlg.ShowModal = mrOK then
      begin
         NewPathEdit.Text := BrowsePathDlg.SelectedLabel.Caption;   
      end;
   finally
      BrowsePathDlg.Free;
   end;

end;

end.
